Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02698 DIP/Input Major Always Dec 2, 2008, 13:33 Mar 5, 2009, 07:45
Tester nightsoil View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver royalmah.cpp
Version 0.128 Fixed in Version 0.129u6 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 02698: royalmah.c: BET games: Bet button does not work by default.
Description The Bet button does not work by default. You have to unmap the 2 key from "2P start" to work correctly.
Steps To Reproduce
Additional Information royalmah.c: BET games
Github Commit
Flags
Regression Version
Affected Sets / Systems royalmah.c: BET games
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.03202
Fujix
Administrator
Dec 2, 2008, 19:35
If you unmap the "2" key from "2 Players Start", it works as the Bet button.
Anyway I think it should be solved by default, by removing the P2 start or anything.
User avatar
No.03211
etabeta
Developer
Dec 3, 2008, 23:40
the problem is that the default key is "2" for both P2 start and BET...
User avatar
No.03883
Kale
Developer
Mar 4, 2009, 18:12
edited on: Mar 4, 2009, 18:17
Fixed by setting start 2 as "3" (& bet player 2 to "4"). I'm not entirely "happy" with it but obviously it should be fixed in some way, and I prefer to use button "2" as bet like any other mahjong game.
User avatar
No.03885
etabeta
Developer
Mar 5, 2009, 07:45
what about changing the BET default in all games? I never found it the most natural choice (but I seldom play mahjong)